log for im.quicksy.client:42018

== Installed Android Tools ==

2021-09-14 16:47:23,530 DEBUG: Reading 'config.yml'
2021-09-14 16:47:23,538 INFO: Using /opt/android-sdk/build-tools/29.0.3/apksigner 
2021-09-14 16:47:23,541 INFO: Creating log directory
2021-09-14 16:47:23,542 INFO: Creating temporary directory
2021-09-14 16:47:23,542 INFO: Creating output directory
2021-09-14 16:47:23,564 DEBUG: Getting git vcs interface for https://github.com/iNPUTmice/Conversations.git
2021-09-14 16:47:23,565 DEBUG: > git --version
git version 2.11.0
2021-09-14 16:47:23,779 INFO: Using git version 2.11.0
2021-09-14 16:47:23,780 DEBUG: Checking 2.10.0+fcr
2021-09-14 16:47:23,780 INFO: Building version 2.10.0+fcr (42018) of im.quicksy.client
2021-09-14 16:47:23,781 INFO: Running 'sudo' commands in /home/vagrant
2021-09-14 16:47:23,782 DEBUG: > sudo DEBIAN_FRONTEND=noninteractive bash -x -c apt-get update || apt-get update && apt-get install -y openjdk-11-jdk-headless && update-alternatives --auto java
+ apt-get update
Get:1 http://security.debian.org/debian-security stretch/updates InRelease [53.0 kB]
Ign:2 https://deb.debian.org/debian stretch InRelease
Hit:3 https://deb.debian.org/debian stretch-updates InRelease
Get:4 https://deb.debian.org/debian stretch-backports-sloppy InRelease [46.7 kB]
Get:5 https://deb.debian.org/debian stretch-backports InRelease [91.8 kB]
Get:6 https://deb.debian.org/debian testing InRelease [128 kB]
Hit:7 https://deb.debian.org/debian stretch Release
Get:8 http://security.debian.org/debian-security stretch/updates/main amd64 Packages [711 kB]
Get:9 http://security.debian.org/debian-security stretch/updates/main i386 Packages [711 kB]
Get:10 http://security.debian.org/debian-security stretch/updates/main Translation-en [327 kB]
Get:11 https://deb.debian.org/debian testing/main amd64 Packages.diff/Index [63.6 kB]
Get:12 https://deb.debian.org/debian testing/main i386 Packages.diff/Index [63.6 kB]
Get:13 https://deb.debian.org/debian testing/main Translation-en.diff/Index [63.6 kB]
Ign:11 https://deb.debian.org/debian testing/main amd64 Packages.diff/Index
Ign:12 https://deb.debian.org/debian testing/main i386 Packages.diff/Index
Get:15 https://deb.debian.org/debian testing/main Translation-en T-2021-09-14-0803.29-F-2021-08-25-2010.21.pdiff [85.9 kB]
Get:15 https://deb.debian.org/debian testing/main Translation-en T-2021-09-14-0803.29-F-2021-08-25-2010.21.pdiff [85.9 kB]
Get:16 https://deb.debian.org/debian testing/main amd64 Packages [8,295 kB]
Get:17 https://deb.debian.org/debian testing/main i386 Packages [8,232 kB]
Fetched 18.9 MB in 3s (5,327 kB/s)
Reading package lists...
+ apt-get install -y openjdk-11-jdk-headless
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  libasound2 libasound2-data openjdk-11-jre-headless
Suggested packages:
  libasound2-plugins alsa-utils openjdk-11-demo openjdk-11-source libnss-mdns
  fonts-dejavu-extra fonts-ipafont-gothic fonts-ipafont-mincho
  fonts-wqy-microhei | fonts-wqy-zenhei fonts-indic
The following NEW packages will be installed:
  libasound2 libasound2-data openjdk-11-jdk-headless openjdk-11-jre-headless
0 upgraded, 4 newly installed, 0 to remove and 2 not upgraded.
Need to get 230 MB of archives.
After this operation, 374 MB of additional disk space will be used.
Get:1 https://deb.debian.org/debian stretch/main amd64 libasound2-data all 1.1.3-5 [173 kB]
Get:2 https://deb.debian.org/debian stretch/main amd64 libasound2 amd64 1.1.3-5 [497 kB]
Get:3 https://deb.debian.org/debian stretch-backports/main amd64 openjdk-11-jre-headless amd64 11.0.6+10-1~bpo9+1 [37.4 MB]
Get:4 https://deb.debian.org/debian stretch-backports/main amd64 openjdk-11-jdk-headless amd64 11.0.6+10-1~bpo9+1 [192 MB]
Fetched 230 MB in 4s (57.4 MB/s)
Selecting previously unselected package libasound2-data.
(Reading database ... 64894 files and directories currently installed.)
Preparing to unpack .../libasound2-data_1.1.3-5_all.deb ...
Unpacking libasound2-data (1.1.3-5) ...
Selecting previously unselected package libasound2:amd64.
Preparing to unpack .../libasound2_1.1.3-5_amd64.deb ...
Unpacking libasound2:amd64 (1.1.3-5) ...
Selecting previously unselected package openjdk-11-jre-headless:amd64.
Preparing to unpack .../openjdk-11-jre-headless_11.0.6+10-1~bpo9+1_amd64.deb ...
Unpacking openjdk-11-jre-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Selecting previously unselected package openjdk-11-jdk-headless:amd64.
Preparing to unpack .../openjdk-11-jdk-headless_11.0.6+10-1~bpo9+1_amd64.deb ...
Unpacking openjdk-11-jdk-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Setting up libasound2-data (1.1.3-5) ...
Setting up libasound2:amd64 (1.1.3-5) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up openjdk-11-jre-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Setting up openjdk-11-jdk-headless:amd64 (11.0.6+10-1~bpo9+1) ...
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jdeprscan to provide /usr/bin/jdeprscan (jdeprscan) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jimage to provide /usr/bin/jimage (jimage) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jlink to provide /usr/bin/jlink (jlink) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jmod to provide /usr/bin/jmod (jmod) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jshell to provide /usr/bin/jshell (jshell) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jaotc to provide /usr/bin/jaotc (jaotc) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jhsdb to provide /usr/bin/jhsdb (jhsdb) in auto mode
+ update-alternatives --auto java
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/java to provide /usr/bin/java (java) in auto mode
2021-09-14 16:47:47,708 DEBUG: > sudo passwd --lock root
passwd: password expiry information changed.
2021-09-14 16:47:47,997 DEBUG: > sudo SUDO_FORCE_REMOVE=yes dpkg --purge sudo
(Reading database ... 65551 files and directories currently installed.)
Removing sudo (1.8.19p1-2.1+deb9u3) ...
Purging configuration files for sudo (1.8.19p1-2.1+deb9u3) ...
Processing triggers for systemd (232-25+deb9u13) ...
2021-09-14 16:47:53,570 INFO: Getting source for revision 3f315751a12fb8178d44733289e77197c7a0f296
2021-09-14 16:47:53,571 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:53,571 DEBUG: > git rev-parse --show-toplevel
2021-09-14 16:47:53,776 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:53,777 DEBUG: > git submodule foreach --recursive git reset --hard
2021-09-14 16:47:53,885 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:53,885 DEBUG: > git reset --hard
2021-09-14 16:47:54,195 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:54,196 DEBUG: > git submodule foreach --recursive git clean -dffx
2021-09-14 16:47:54,320 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:54,320 DEBUG: > git clean -dffx
2021-09-14 16:47:54,427 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:54,428 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch origin
2021-09-14 16:47:54,855 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:54,856 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch --prune --tags --force origin
2021-09-14 16:47:55,306 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:55,306 DEBUG: > git remote set-head origin --auto
2021-09-14 16:47:55,715 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:55,716 DEBUG: > git checkout -f 3f315751a12fb8178d44733289e77197c7a0f296
2021-09-14 16:47:55,998 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:55,999 DEBUG: > git clean -dffx
2021-09-14 16:47:56,104 INFO: Creating local.properties file at build/im.quicksy.client/local.properties
2021-09-14 16:47:56,104 DEBUG: Removing debuggable flags from build/im.quicksy.client
2021-09-14 16:47:56,126 INFO: Cleaned build.gradle of keysigning configs at build/im.quicksy.client/build.gradle
2021-09-14 16:47:56,139 INFO: Running 'prebuild' commands in build/im.quicksy.client
2021-09-14 16:47:56,140 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:56,140 DEBUG: > bash -x -c -- sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/libwebrtc/d' -e "/phonenumber/aimplementation 'org.webrtc:google-webrtc:1.0.32006'" -e '/splits/,+5d' -e '/Variants.all/,+8d' build.gradle
+ sed -i -e '/MissingTranslation/aabortOnError\ false' -e /libwebrtc/d -e '/phonenumber/aimplementation '\''org.webrtc:google-webrtc:1.0.32006'\''' -e /splits/,+5d -e /Variants.all/,+8d build.gradle
2021-09-14 16:47:56,351 INFO: Cleaning Gradle project...
2021-09-14 16:47:56,352 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:47:56,352 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid clean
Found 7.0.2 via distributionUrl
Running /opt/gradle/versions/7.0.2/bin/gradle clean

Welcome to Gradle 7.0.2!

Here are the highlights of this release:
 - File system watching enabled by default
 - Support for running with and building Java 16 projects
 - Native support for Apple Silicon processors
 - Dependency catalog feature preview

For more details see https://docs.gradle.org/7.0.2/release-notes.html

To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.0.2/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build 
> Task :clean UP-TO-DATE

Deprecated Gradle features were used in this build, making it incompatible with Gradle 8.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/7.0.2/userguide/command_line_interface.html#sec:command_line_warnings

BUILD SUCCESSFUL in 22s
1 actionable task: 1 up-to-date
2021-09-14 16:48:19,534 INFO: Scanning source for common problems...
2021-09-14 16:48:19,547 INFO: Removing gradle-wrapper.jar at gradle/wrapper/gradle-wrapper.jar
2021-09-14 16:48:19,659 INFO: Creating source tarball...
2021-09-14 16:48:20,839 INFO: Building Gradle project...
2021-09-14 16:48:20,839 DEBUG: Directory: build/im.quicksy.client
2021-09-14 16:48:20,839 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid assembleQuicksyFreeCompatRelease
Found 7.0.2 via distributionUrl
Running /opt/gradle/versions/7.0.2/bin/gradle assembleQuicksyFreeCompatRelease
To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.0.2/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build 
Checking the license for package Android SDK Build-Tools 30.0.2 in /opt/android-sdk/licenses
License for package Android SDK Build-Tools 30.0.2 accepted.
Preparing "Install Android SDK Build-Tools 30.0.2 (revision: 30.0.2)".
"Install Android SDK Build-Tools 30.0.2 (revision: 30.0.2)" ready.
Installing Android SDK Build-Tools 30.0.2 in /opt/android-sdk/build-tools/30.0.2
"Install Android SDK Build-Tools 30.0.2 (revision: 30.0.2)" complete.
"Install Android SDK Build-Tools 30.0.2 (revision: 30.0.2)" finished.
> Task :preBuild UP-TO-DATE
> Task :preQuicksyFreeCompatReleaseBuild UP-TO-DATE
> Task :compileQuicksyFreeCompatReleaseAidl NO-SOURCE
> Task :compileQuicksyFreeCompatReleaseRenderscript NO-SOURCE
> Task :dataBindingMergeDependencyArtifactsQuicksyFreeCompatRelease
> Task :dataBindingMergeGenClassesQuicksyFreeCompatRelease
> Task :generateQuicksyFreeCompatReleaseResValues
> Task :generateQuicksyFreeCompatReleaseResources
> Task :dataBindingTriggerQuicksyFreeCompatRelease
> Task :generateQuicksyFreeCompatReleaseBuildConfig
> Task :javaPreCompileQuicksyFreeCompatRelease
> Task :checkQuicksyFreeCompatReleaseAarMetadata
> Task :createQuicksyFreeCompatReleaseCompatibleScreenManifests
> Task :extractDeepLinksQuicksyFreeCompatRelease

> Task :processQuicksyFreeCompatReleaseMainManifest
/home/vagrant/build/im.quicksy.client/src/quicksy/AndroidManifest.xml:6:5-44:19 Warning:
	application@android:label was tagged at AndroidManifest.xml:6 to replace other declarations but no other declaration present

> Task :processQuicksyFreeCompatReleaseManifest
> Task :extractProguardFiles
> Task :mergeQuicksyFreeCompatReleaseJniLibFolders
> Task :mergeQuicksyFreeCompatReleaseResources
> Task :mergeQuicksyFreeCompatReleaseNativeLibs
> Task :dataBindingGenBaseClassesQuicksyFreeCompatRelease

> Task :stripQuicksyFreeCompatReleaseDebugSymbols
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [21.4.7075529] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :processQuicksyFreeCompatReleaseManifestForPackage

> Task :extractQuicksyFreeCompatReleaseNativeSymbolTables
[CXX5106] NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [21.4.7075529] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :mergeQuicksyFreeCompatReleaseNativeDebugMetadata NO-SOURCE
> Task :processQuicksyFreeCompatReleaseJavaRes NO-SOURCE
> Task :mergeQuicksyFreeCompatReleaseShaders
> Task :compileQuicksyFreeCompatReleaseShaders NO-SOURCE
> Task :generateQuicksyFreeCompatReleaseAssets UP-TO-DATE
> Task :checkQuicksyFreeCompatReleaseDuplicateClasses
> Task :mergeQuicksyFreeCompatReleaseAssets
> Task :processQuicksyFreeCompatReleaseResources
> Task :collectQuicksyFreeCompatReleaseDependencies
> Task :compressQuicksyFreeCompatReleaseAssets

> Task :compileQuicksyFreeCompatReleaseJavaWithJavac
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

> Task :compileQuicksyFreeCompatReleaseSources
> Task :mergeQuicksyFreeCompatReleaseGeneratedProguardFiles
> Task :bundleQuicksyFreeCompatReleaseClasses
> Task :sdkQuicksyFreeCompatReleaseDependencyData
> Task :writeQuicksyFreeCompatReleaseAppMetadata
> Task :writeQuicksyFreeCompatReleaseSigningConfigVersions
> Task :mergeQuicksyFreeCompatReleaseJavaResource
> Task :mergeQuicksyFreeCompatReleaseArtProfile

> Task :lintVitalAnalyzeQuicksyFreeCompatRelease
w: Runtime JAR files in the classpath have the version 1.4, which is older than the API version 1.5. Consider using the runtime of version 1.5, or pass '-api-version 1.4' explicitly to restrict the available APIs to the runtime of version 1.4. You can also pass '-language-version 1.4' instead, which will restrict not only the APIs to the specified version, but also the language features
w: /home/vagrant/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib/1.4.10/ea29e063d2bbe695be13e9d044dcfb0c7add398e/kotlin-stdlib-1.4.10.jar: Runtime JAR file has version 1.4 which is older than required for API version 1.5
w: /home/vagrant/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-common/1.4.10/6229be3465805c99db1142ad75e6c6ddeac0b04c/kotlin-stdlib-common-1.4.10.jar: Runtime JAR file has version 1.4 which is older than required for API version 1.5

> Task :minifyQuicksyFreeCompatReleaseWithR8
> Task :compileQuicksyFreeCompatReleaseArtProfile

> Task :lintVitalQuicksyFreeCompatRelease
w: Runtime JAR files in the classpath have the version 1.4, which is older than the API version 1.5. Consider using the runtime of version 1.5, or pass '-api-version 1.4' explicitly to restrict the available APIs to the runtime of version 1.4. You can also pass '-language-version 1.4' instead, which will restrict not only the APIs to the specified version, but also the language features
w: /home/vagrant/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib/1.4.10/ea29e063d2bbe695be13e9d044dcfb0c7add398e/kotlin-stdlib-1.4.10.jar: Runtime JAR file has version 1.4 which is older than required for API version 1.5
w: /home/vagrant/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-common/1.4.10/6229be3465805c99db1142ad75e6c6ddeac0b04c/kotlin-stdlib-common-1.4.10.jar: Runtime JAR file has version 1.4 which is older than required for API version 1.5
No issues found.

> Task :shrinkQuicksyFreeCompatReleaseRes
> Task :optimizeQuicksyFreeCompatReleaseResources
> Task :packageQuicksyFreeCompatRelease
> Task :assembleQuicksyFreeCompatRelease

Deprecated Gradle features were used in this build, making it incompatible with Gradle 8.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/7.0.2/userguide/command_line_interface.html#sec:command_line_warnings

BUILD SUCCESSFUL in 1m 50s
40 actionable tasks: 40 executed
2021-09-14 16:50:12,244 DEBUG: Popen(['git', 'cat-file', '--batch-check'], cwd=/home/vagrant/build/im.quicksy.client, universal_newlines=False, shell=None)
2021-09-14 16:50:12,250 INFO: Successfully built version 2.10.0+fcr of im.quicksy.client from 3f315751a12fb8178d44733289e77197c7a0f296
2021-09-14 16:50:13,398 DEBUG: AXML contains a RESOURCE MAP
2021-09-14 16:50:13,398 DEBUG: Start of Namespace mapping: prefix 50: 'android' --> uri 167: 'http://schemas.android.com/apk/res/android'
2021-09-14 16:50:13,400 DEBUG: Checking build/im.quicksy.client/build/outputs/apk/quicksyFreeCompat/release/Conversations-2.10.0-quicksy-free-compat-release-unsigned.apk
2021-09-14 16:50:13,423 DEBUG: AXML contains a RESOURCE MAP
2021-09-14 16:50:13,423 DEBUG: Start of Namespace mapping: prefix 50: 'android' --> uri 167: 'http://schemas.android.com/apk/res/android'
2021-09-14 16:50:13,482 INFO: success: im.quicksy.client
2021-09-14 16:50:13,483 INFO: Finished
2021-09-14 16:50:13,483 INFO: 1 build succeeded